Package Details: openttd-jgrpp-git 1.6.1+r27675+p0.15.1+r21.1cede84-1

Git Clone URL: https://aur.archlinux.org/openttd-jgrpp-git.git (read-only)
Package Base: openttd-jgrpp-git
Description: OpenTTD with JGR's patch pack
Upstream URL: http://www.tt-forums.net/viewtopic.php?f=33&t=73469
Keywords: 2D economic game isometric simulation trains transport tycoon
Licenses: GPL
Conflicts: openttd
Submitter: smls
Maintainer: smls
Last Packager: smls
Votes: 4
Popularity: 0.000315
First Submitted: 2015-08-31 11:23
Last Updated: 2016-11-03 17:39

Latest Comments

smls commented on 2016-11-03 17:43

Not sure why someone had flagged this out of date... It's a live git package, it always installs the newest revision from the master branch of the git repo (and still worked fine with current master). I just bumped the package version again for good measure, but that doesn't affect what it installs.

If the package doesn't work for everyone, please post a comment so I can investigate.

smls commented on 2016-02-15 22:51

FYI here's a detailed changelog for the patch pack:

https://github.com/JGRennison/OpenTTD-patches/blob/jgrpp/jgrpp-changelog.md

smls commented on 2015-09-09 20:04

@noosxe This was caused by an upstream change affecting "make install"; I've adapted the package() function so it works again.

If you (or your AUR helper) haven't deleted the PKGBUILD dir yet, you don't even have to rebuild it, just run `makepkg -fi --repackage` in that directory.

noosxe commented on 2015-09-09 16:10

Hi all!
Getting this error on installation step:
install: target ‘/home/noosxe/AUR/openttd-jgrpp-git/pkg/openttd-jgrpp-git//usr/share/openttd/data’ is not a directory

What can I do about this ?